### Enumeration

# Qmi OmaHfaFeatureDoneState

since: 1.6

#### Declaration

    enum Qmi.OmaHfaFeatureDoneState

#### Description [src]

HFA feature done state.

Available since: 1.6

#### Members

`QMI_OMA_HFA_FEATURE_DONE_STATE_NONE`

  None.

  - Value: `0`
  - Available since: 1.6
`QMI_OMA_HFA_FEATURE_DONE_STATE_SUCCEEDED`

  Succeeded.

  - Value: `1`
  - Available since: 1.6
`QMI_OMA_HFA_FEATURE_DONE_STATE_FAILED`

  Failed.

  - Value: `2`
  - Available since: 1.6

#### Type functions

###### qmi_oma_hfa_feature_done_state_get_string

Gets the nickname string for the `QmiOmaHfaFeatureDoneState` specified at `val`.

since: 1.6